Skip to content
The API may change between versions while TTX-Zone is 0.x.

Create invitation token

POST
/api/v1/ttx/{ttx_id}/invitation-tokens

Create an invitation token for the exercise.

Media typeapplication/json
InvitationTokenCreateRequest
object
description
Any of:
string
<= 255 characters
expires_at
required
Expires At
string format: date-time
max_uses
Any of:
integer
>= 1 <= 1000
role
required
RoleEnum

TTX-scoped roles: PLANNER is a member of the exercise’s planning and control team (what they do on it – plan, control, facilitate – is in the row’s flags); EVALUATOR rates the exercise with the EEG and OBSERVER watches it, neither with access to the design; PLAYER plays it.

string
Allowed values: planner evaluator observer player

Successful Response

Media typeapplication/json
InvitationTokenCreateResponse
object
created_at
required
Created At
string format: date-time
description
required
Any of:
string
expires_at
required
Expires At
string format: date-time
id
required
Id
string format: uuid
max_uses
required
Any of:
integer
role
required
RoleEnum

TTX-scoped roles: PLANNER is a member of the exercise’s planning and control team (what they do on it – plan, control, facilitate – is in the row’s flags); EVALUATOR rates the exercise with the EEG and OBSERVER watches it, neither with access to the design; PLAYER plays it.

string
Allowed values: planner evaluator observer player
token
required
Token
string
ttx_id
required
Ttx Id
string format: uuid

Example

{
"role": "planner"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}